Atualizar subtarefa
curl --request PATCH \
--url https://api.juridiq.com.br/task/subtasks/{id} \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<unknown>",
"status": "<string>",
"initialDate": "<string>",
"finalDate": "<string>",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responsiblesId": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "<string>",
"points": 123
}
'import requests
url = "https://api.juridiq.com.br/task/subtasks/{id}"
payload = {
"title": "<string>",
"description": "<unknown>",
"status": "<string>",
"initialDate": "<string>",
"finalDate": "<string>",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responsiblesId": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "<string>",
"points": 123
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<unknown>',
status: '<string>',
initialDate: '<string>',
finalDate: '<string>',
taskId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
responsiblesId: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
officeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
priority: '<string>',
points: 123
})
};
fetch('https://api.juridiq.com.br/task/subtasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Tasks
Atualizar subtarefa
PATCH
/
task
/
subtasks
/
{id}
Atualizar subtarefa
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Path Parameters
ID da subtarefa
Body
application/json
Título
Minimum string length:
1Descrição. Texto ou JSON do editor
Status
Minimum string length:
1Data inicial
Data final
ID da tarefa pai
IDs dos responsáveis
ID do escritório
Prioridade
Minimum string length:
1Pontos
Response
Default Response
The response is of type object.
⌘I

